commerce_order.settings:
  type: config_object
  label: 'Order settings'
  mapping:
    log_version_mismatch:
      type: boolean
      label: 'Log order version mismatch'

commerce.commerce_condition.plugin.order_billing_address:
  type: commerce_condition_configuration
  mapping:
    zone:
      type: address_zone
      label: 'Zone'

commerce.commerce_condition.plugin.order_currency:
  type: commerce_condition_configuration
  mapping:
    currencies:
      type: sequence
      label: 'Currencies'
      orderby: value
      sequence:
        type: string
        label: 'Currency'

commerce.commerce_condition.plugin.order_email:
  type: commerce_condition_configuration
  mapping:
    mail:
      type: string
      label: 'Email'

commerce.commerce_condition.plugin.order_customer_role:
  type: commerce_condition_configuration
  mapping:
    roles:
      type: sequence
      label: 'Roles'
      orderby: value
      sequence:
        type: string
        label: 'Role'

commerce.commerce_condition.plugin.order_item_quantity:
  type: commerce_condition_configuration
  mapping:
    operator:
      type: string
      label: 'Operator'
    quantity:
      type: integer
      label: 'Quantity'

commerce.commerce_condition.plugin.order_store:
  type: commerce_condition_configuration
  mapping:
    stores:
      type: sequence
      label: 'Stores'
      orderby: value
      sequence:
        type: string
        label: 'Store'

commerce.commerce_condition.plugin.order_total_price:
  type: commerce_condition_configuration
  mapping:
    operator:
      type: string
      label: 'Operator'
    amount:
      type: field.value.commerce_price
      label: 'Amount'

commerce.commerce_condition.plugin.order_type:
  type: commerce.commerce_condition.plugin.entity_bundle

commerce.commerce_condition.plugin.order_purchased_entity:
  type: commerce_condition_configuration
  mapping:
    entities:
      type: sequence
      label: 'Entities'
      orderby: value
      sequence:
        type: string
        label: 'Purchased entity'

commerce.commerce_condition.plugin.order_item_purchased_entity:
  type: commerce.commerce_condition.plugin.order_purchased_entity

commerce_order.commerce_order_type.*:
  type: commerce_config_entity_bundle
  label: 'Order type'
  mapping:
    workflow:
      type: string
      label: 'Workflow'
    numberPattern:
      type: string
      label: 'Number pattern'
    refresh_mode:
      type: string
      label: 'Order refresh mode'
    refresh_frequency:
      type: integer
      label: 'Order refresh frequency'
    sendReceipt:
      type: boolean
      label: 'Email the customer a receipt when an order is placed'
    receiptBcc:
      type: string
      label: 'The receipt BCC email'

commerce_order.commerce_order_item_type.*:
  type: commerce_config_entity_bundle
  label: 'Order item type'
  mapping:
    purchasableEntityType:
      type: string
      label: 'Purchasable entity type'
    orderType:
      type: string
      label: 'Order type'

field.widget.settings.commerce_quantity:
  type: mapping
  label: 'Quantity widget settings'
  mapping:
    placeholder:
      type: label
      label: 'Placeholder'
    step:
      type: string
      label: 'Step'

field.widget.settings.commerce_unit_price:
  type: mapping
  label: 'Unit price widget settings'
  mapping:
    require_confirmation:
      type: boolean
      label: 'Require confirmation before overriding the unit price'

profile.type.*.third_party.commerce_order:
  type: mapping
  label: 'Commerce settings'
  mapping:
    customer_profile_type:
      type: boolean
      label: 'Profiles of this type represent Commerce customer profiles'
